package canvas

import "io"
import "image"

// Texture is a handle that points to a 2D raster image managed by the backend.
type Texture interface {
	image.Image

	// Clip returns a smaller section of this texture, pointing to the same
	// internal data.
	Clip (image.Rectangle) Texture
}

// TextureCloser is a texture that can be closed. Anything that receives a
// TextureCloser must close it after use.
type TextureCloser interface {
	Texture
	io.Closer
}
